import * as ts from "typescript";
import { ApiFunctionTypeDto } from "../contracts/definitions/api-function-type-dto";
import { ApiItemKinds } from "../contracts/api-item-kinds";
import { ApiCallableBase } from "../abstractions/api-callable-base";
export declare type FunctionTypes = ts.FunctionTypeNode | ts.ArrowFunction | ts.FunctionExpression;
export declare class ApiFunctionType extends ApiCallableBase<FunctionTypes, ApiFunctionTypeDto> {
    protected ResolveApiKind(): ApiItemKinds.FunctionType | ApiItemKinds.ArrowFunction | ApiItemKinds.FunctionExpression;
    OnExtract(): ApiFunctionTypeDto;
}
