import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiNamespaceDto } from "../contracts/definitions/api-namespace-dto";
import { ApiItemKinds } from "../contracts/api-item-kinds";
export declare class ApiNamespace extends ApiItem<ts.ModuleDeclaration | ts.NamespaceImport, ApiNamespaceDto> {
    private members;
    protected ResolveApiKind(): ApiItemKinds.Namespace | ApiItemKinds.ImportNamespace;
    protected OnGatherData(): void;
    OnExtract(): ApiNamespaceDto;
}
