import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiTypeLiteralDto } from "../contracts/definitions/api-type-literal-dto";
import { ApiItemKinds } from "../contracts/api-item-kinds";
export declare class ApiTypeLiteral extends ApiItem<ts.TypeLiteralNode | ts.ObjectLiteralExpression, ApiTypeLiteralDto> {
    private members;
    protected ResolveApiKind(): ApiItemKinds.TypeLiteral | ApiItemKinds.ObjectLiteral;
    protected OnGatherData(): void;
    OnExtract(): ApiTypeLiteralDto;
}
